#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import setup, find_packages

name = 'erp5.utils.benchmark'
version = '0.3'

install_require_list = ['erp5.utils.test_browser']

# argparse is only available from python >= 2.7
import sys
python_major_version, python_minor_version = sys.version_info[:2]
if python_major_version == 2 and python_minor_version < 7:
  install_require_list.append('argparse')

setup(
  name=name,
  version=version,
  description="Performance benchmarks for ERP5 with erp5.utils.test_browser",
  author='Arnaud Fontaine',
  author_email='arnaud.fontaine@nexedi.com',
  license='GPL version 2',
  install_requires = install_require_list,
  extras_require = {'generate_erp5_tester_report': ['matplotlib', 'numpy'],
                    'scalability_tester_erp5': ['slapos.tool.nosqltester']},
  package_dir={'':'src'},
  packages=find_packages('src'),
  namespace_packages=['erp5', 'erp5.utils'],
  entry_points = {
    'console_scripts': [
      'performance_tester_erp5 = erp5.utils.benchmark.performance_tester:main',
      'scalability_tester_erp5 = erp5.utils.benchmark.scalability_tester:main',
      'generate_erp5_tester_report = erp5.utils.benchmark.report:generateReport']
  },
  include_package_data=True,
  classifiers=[
    'Environment :: Web Environment',
    'Intended Audience :: Developers',
    'License :: OSI Approved :: GNU General Public License (GPL)',
    'Programming Language :: Python',
    'Topic :: Internet :: WWW/HTTP',
    'Topic :: Software Development :: Testing',
  ],
  url='http://www.erp5.org/',
)
